using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TP10_Fonctions
{
    public partial class Form3 : Form
    {
        public Form3()
        {
            InitializeComponent();
        }

        private void Form3_Load(object sender, EventArgs e)
        {
            //Enlève le droit d'ajout automatique d'une ligne et rend invisible l'entête de ligne
            grdetu.AllowUserToAddRows = false;
            grdetu.RowHeadersVisible = false;
            //Création des 6 colonnes avec leur nom et leur largeur
            grdetu.ColumnCount = 6;
            grdetu.Columns[0].Name = "N°";
            grdetu.Columns[1].Name = "Nom";
            grdetu.Columns[2].Name = "Prénom";
            grdetu.Columns[3].Name = "Classe";
            grdetu.Columns[4].Name = "Boursier";
            grdetu.Columns[5].Name = "Régime";
            grdetu.Columns[0].Width = 50;
            grdetu.Columns[1].Width = 120;
            grdetu.Columns[2].Width = 120;
            grdetu.Columns[3].Width = 120;
            grdetu.Columns[4].Width = 90;
            grdetu.Columns[5].Width = 90;
            //Ajout des lignes avec les données
            grdetu.Rows.Clear();
            grdetu.Rows.Add("128", "MARREAU", "Alain", "SIO1", "OUI", "DP");
            grdetu.Rows.Add("129", "MEYRIEU", "Philippe", "SIO2", "NON", "INT");
            grdetu.Rows.Add("130", "PERINOT", "Lise", "CGO2", "OUI", "DP");
            grdetu.Rows.Add("135", "PIRIOU", "Aurore", "CGO2", "NON", "EXT");
            grdetu.Rows.Add("136", "PYRAT", "Luc", "SIO1", "NON", "DP");
            grdetu.Rows.Add("140", "RAMEAU", "Florence", "SIO1", "OUI", "DP");
            grdetu.Rows.Add("141", "RILLIARD", "Sylvain", "SIO2", "NON", "EXT");
            grdetu.Rows.Add("143", "ROUYER", "Alice", "CGO2", "OUI", "INT");
        }

        int calculeffectif(string valrech, int colrech, DataGridView grd)
        {
            int nolig, resultat;
            resultat = 0;
            for (nolig = 0; nolig < grd.RowCount; nolig = nolig + 1)
            {
                if (grd[colrech, nolig].Value.ToString() == valrech)
                {
                    resultat = resultat + 1;
                }
            }
            return (resultat);
        }

        private void btnbou_Click(object sender, EventArgs e)
        {
            int effectif;
            effectif = calculeffectif("OUI", 4, grdetu);
            lblbou.Text=Convert.ToString(effectif);
        }

        private void btnint_Click(object sender, EventArgs e)
        {
            int effectif;
            effectif = calculeffectif("INT", 5, grdetu);
            lblint.Text = Convert.ToString(effectif);

        }

        private void btndp_Click(object sender, EventArgs e)
        {
            int effectif;
            effectif = calculeffectif("DP", 5, grdetu);
            lbldp.Text = Convert.ToString(effectif);


        }

        private void btnext_Click(object sender, EventArgs e)
        {
            int effectif;
            effectif = calculeffectif("EXT", 5, grdetu);
            lblext.Text = Convert.ToString(effectif);


        }

        private void btncla_Click(object sender, EventArgs e)
        {
            int effectif;
            String CLA;
            CLA = Convert.ToString(txtcla.Text);
            effectif = calculeffectif(CLA, 3, grdetu);
            lblcla.Text = Convert.ToString(effectif);


        }

    }
}
